Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.video
Class VideoCard

    java.lang.Object
      dioscuri.module.video.VideoCard

    public class VideoCard

extends java.lang.Object

Implementation of a VGA videocard Based on Bochs code (http://bochs.sourceforge.net/) Implements all VGA registers (Sequencer, CRTC, Graphics, Attribute, Colour and Miscellaneous) and more...

Field Summary
`byte[]` | `textSnapshot`
`byte[]` | `vgaMemory`
`protected static int` | `X_TILESIZE`
`protected static int` | `Y_TILESIZE`

Constructor Summary
`VideoCard()`

Method Summary
`protected boolean` | `getTileUpdate(int xtile, int ytile)` If within tile bounds, retrieves the status of the vgaTileUpdate value
`void` | `reset()` Return variables to default values
`protected void` | `setTileUpdate(int xtile, int ytile, boolean value)` If within tile bounds, sets the vgaTileUpdate to value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### X_TILESIZE

    protected static final int X_TILESIZE

See Also:
  Constant Field Values

### Y_TILESIZE

    protected static final int Y_TILESIZE

See Also:
  Constant Field Values

### vgaMemory

    public byte[] vgaMemory

### textSnapshot

    public byte[] textSnapshot

Constructor Detail

### VideoCard

    public VideoCard()

Method Detail

### setTileUpdate

    protected final void setTileUpdate(int xtile,
                                       int ytile,
                                       boolean value)

  If within tile bounds, sets the vgaTileUpdate to value

  Parameters:
    `xtile` - Location of x tile
    `ytile` - Location of y tile
    `value` - True or false reflecting whether this tile has been updated

### getTileUpdate

    protected final boolean getTileUpdate(int xtile,
                                          int ytile)

  If within tile bounds, retrieves the status of the vgaTileUpdate value

  Parameters:
    `xtile` - Location of x tile
    `ytile` - Location of y tile
  Returns:
    True or false reflecting whether this tile has been updated

### reset

    public void reset()

  Return variables to default values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD